展开全部
运行下面这个程序就可以看了:
(defun c:yldcl() ;预览DCL命令
(if (null dcl_pt)
(setq dcl_pt '(-1 -1))
)
(setq dcl_file (getfiled "打开DCL文件" "" "DCL" 2))
(princ "DCL 文件名:")(princ dcl_file)
(setq dia_name (getstring "\nDialog 对话框名:"))
(if (= dia_name "")(exit))
(setq dcl_id (load_dialog dcl_file))
(new_dialog dia_name dcl_id) ;加载DCL文件
(action_tile "accept" "(setq dcl_pt (done_dialog 1))") ;激活新的对话框定义
(action_tile "cancel" "done_dialog 0")
(setq dd(start_dialog)) ;dd值=done_dialog后的自变量值
(cond ((= dd 1) (princ "\n确定<OK>!!!"))
((= dd 0) (princ "\n取消<Cancel>!!!"))
)
(prin1)
)
(defun c:yldcl() ;预览DCL命令
(if (null dcl_pt)
(setq dcl_pt '(-1 -1))
)
(setq dcl_file (getfiled "打开DCL文件" "" "DCL" 2))
(princ "DCL 文件名:")(princ dcl_file)
(setq dia_name (getstring "\nDialog 对话框名:"))
(if (= dia_name "")(exit))
(setq dcl_id (load_dialog dcl_file))
(new_dialog dia_name dcl_id) ;加载DCL文件
(action_tile "accept" "(setq dcl_pt (done_dialog 1))") ;激活新的对话框定义
(action_tile "cancel" "done_dialog 0")
(setq dd(start_dialog)) ;dd值=done_dialog后的自变量值
(cond ((= dd 1) (princ "\n确定<OK>!!!"))
((= dd 0) (princ "\n取消<Cancel>!!!"))
)
(prin1)
)
推荐律师服务:
若未解决您的问题,请您详细描述您的问题,通过百度律临进行免费专业咨询